namespace Passer.Control.Core {

    public class NetworkIdMsg : IMessage {
        public const byte Id = 0xA1;
        public const byte length = 2;
        public byte networkId;

        public NetworkIdMsg(byte networkId) {
            this.networkId = networkId;
        }
        public NetworkIdMsg(byte[] buffer) {
            this.networkId = buffer[1];
        }

        public override byte Serialize(ref byte[] buffer) {
            buffer[0] = NetworkIdMsg.Id;
            buffer[1] = this.networkId;
            return NetworkIdMsg.length;
        }
    }

}